zenilib: Zeni::String::reverse_iterator Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Types | Public Member Functions | Friends | List of all members
Zeni::String::reverse_iterator Class Reference

`#include <String.h>`

## Public Types

typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef value_type * | pointer
typedef value_type & | reference
typedef char | value_type

## Public Member Functions

| reverse_iterator ()
| reverse_iterator (const reverse_iterator &rhs)
| ~reverse_iterator ()
bool | operator!= (const reverse_iterator &rhs) const
value_type | operator* () const
value_type & | operator* ()
reverse_iterator | operator+ (const difference_type &n) const
reverse_iterator | operator++ ()
reverse_iterator | operator++ (int)
reverse_iterator | operator+= (const difference_type &n)
reverse_iterator | operator- (const difference_type &n) const
difference_type | operator- (const reverse_iterator &rhs) const
reverse_iterator | operator-- ()
reverse_iterator | operator-- (int)
reverse_iterator | operator-= (const difference_type &n)
value_type | operator-> () const
value_type & | operator-> ()
bool | operator< (const reverse_iterator &rhs) const
bool | operator<= (const reverse_iterator &rhs) const
reverse_iterator & | operator= (const reverse_iterator &rhs)
bool | operator== (const reverse_iterator &rhs) const
bool | operator> (const reverse_iterator &rhs) const
bool | operator>= (const reverse_iterator &rhs) const
value_type | operator[] (const difference_type &n) const
value_type & | operator[] (const difference_type &n)

## Friends

class | String

## Detailed Description

Definition at line 139 of file String.h.

## Member Typedef Documentation

typedef ptrdiff_t Zeni::String::reverse_iterator::difference_type

Definition at line 143 of file String.h.

typedef std::random_access_iterator_tag Zeni::String::reverse_iterator::iterator_category

Definition at line 144 of file String.h.

typedef value_type* Zeni::String::reverse_iterator::pointer

Definition at line 146 of file String.h.

typedef value_type& Zeni::String::reverse_iterator::reference

Definition at line 147 of file String.h.

typedef char Zeni::String::reverse_iterator::value_type

Definition at line 145 of file String.h.

## Constructor & Destructor Documentation

Zeni::String::reverse_iterator::reverse_iterator | ( |  | ) |

Definition at line 152 of file String.cpp.

Zeni::String::reverse_iterator::~reverse_iterator | ( |  | ) |

Definition at line 153 of file String.cpp.

Zeni::String::reverse_iterator::reverse_iterator | ( | const reverse_iterator & | rhs | ) |

Definition at line 155 of file String.cpp.

## Member Function Documentation

bool Zeni::String::reverse_iterator::operator!= | ( | const reverse_iterator & | rhs | ) | const

Definition at line 162 of file String.cpp.

References const.

String::reverse_iterator::value_type Zeni::String::reverse_iterator::operator* | ( |  | ) | const

Definition at line 164 of file String.cpp.

References const.

String::reverse_iterator::value_type & Zeni::String::reverse_iterator::operator* | ( |  | ) |

Definition at line 165 of file String.cpp.

References const.

String::reverse_iterator Zeni::String::reverse_iterator::operator+ | ( | const difference_type & | n | ) | const

Definition at line 186 of file String.cpp.

References const.

String::reverse_iterator Zeni::String::reverse_iterator::operator++ | ( |  | ) |

Definition at line 169 of file String.cpp.

String::reverse_iterator Zeni::String::reverse_iterator::operator++ | ( | int |  | ) |

Definition at line 177 of file String.cpp.

String::reverse_iterator Zeni::String::reverse_iterator::operator+= | ( | const difference_type & | n | ) |

Definition at line 195 of file String.cpp.

String::reverse_iterator Zeni::String::reverse_iterator::operator- | ( | const difference_type & | n | ) | const

Definition at line 187 of file String.cpp.

References const.

String::reverse_iterator::difference_type Zeni::String::reverse_iterator::operator- | ( | const reverse_iterator & | rhs | ) | const

Definition at line 188 of file String.cpp.

References const.

String::reverse_iterator Zeni::String::reverse_iterator::operator-- | ( |  | ) |

Definition at line 173 of file String.cpp.

String::reverse_iterator Zeni::String::reverse_iterator::operator-- | ( | int |  | ) |

Definition at line 181 of file String.cpp.

String::reverse_iterator Zeni::String::reverse_iterator::operator-= | ( | const difference_type & | n | ) |

Definition at line 199 of file String.cpp.

String::reverse_iterator::value_type Zeni::String::reverse_iterator::operator-> | ( |  | ) | const

Definition at line 166 of file String.cpp.

References const.

String::reverse_iterator::value_type & Zeni::String::reverse_iterator::operator-> | ( |  | ) |

Definition at line 167 of file String.cpp.

References const.

bool Zeni::String::reverse_iterator::operator< | ( | const reverse_iterator & | rhs | ) | const

Definition at line 190 of file String.cpp.

References const.

bool Zeni::String::reverse_iterator::operator<= | ( | const reverse_iterator & | rhs | ) | const

Definition at line 192 of file String.cpp.

References const.

String::reverse_iterator & Zeni::String::reverse_iterator::operator= | ( | const reverse_iterator & | rhs | ) |

Definition at line 156 of file String.cpp.

bool Zeni::String::reverse_iterator::operator== | ( | const reverse_iterator & | rhs | ) | const

Definition at line 161 of file String.cpp.

References const.

bool Zeni::String::reverse_iterator::operator> | ( | const reverse_iterator & | rhs | ) | const

Definition at line 191 of file String.cpp.

References const.

bool Zeni::String::reverse_iterator::operator>= | ( | const reverse_iterator & | rhs | ) | const

Definition at line 193 of file String.cpp.

References const.

String::reverse_iterator::value_type Zeni::String::reverse_iterator::operator[] | ( | const difference_type & | n | ) | const

Definition at line 204 of file String.cpp.

References const.

String::reverse_iterator::value_type & Zeni::String::reverse_iterator::operator[] | ( | const difference_type & | n | ) |

Definition at line 205 of file String.cpp.

## Friends And Related Function Documentation

friend class String

friend

Definition at line 140 of file String.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni/Zeni/String.h
- zenilib/jni/external/zenilib/zeni/String.cpp